Package org.codehaus.groovy.runtime.callsite

## Class GetEffectivePogoFieldSite

- java.lang.Object
- - org.codehaus.groovy.runtime.callsite.AbstractCallSite
  - - org.codehaus.groovy.runtime.callsite.GetEffectivePogoFieldSite

- All Implemented Interfaces:
    `CallSite`

      public class GetEffectivePogoFieldSite
      extends AbstractCallSite

- - ### Field Summary

    - ### Fields inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

      `array, index, name`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GetEffectivePogoFieldSite​(CallSite site, MetaClass metaClass, CachedField effective)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CallSite` | `acceptGetProperty​(java.lang.Object receiver)` |
    `CallSite` | `acceptGroovyObjectGetProperty​(java.lang.Object receiver)` |
    `java.lang.Object` | `callGetProperty​(java.lang.Object receiver)` |
    `java.lang.Object` | `callGroovyObjectGetProperty​(java.lang.Object receiver)` |
    `java.lang.Object` | `getProperty​(java.lang.Object receiver)` |

    - ### Methods inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

      `call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetPropertySafe, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetEffectivePogoFieldSite

          public GetEffectivePogoFieldSite​(CallSite site,
                                           MetaClass metaClass,
                                           CachedField effective)

  - ### Method Detail

    - #### callGetProperty

          public final java.lang.Object callGetProperty​(java.lang.Object receiver)
                                                 throws java.lang.Throwable

      Specified by:
        `callGetProperty` in interface `CallSite`
      Overrides:
        `callGetProperty` in class `AbstractCallSite`
      Throws:
        `java.lang.Throwable`

    - #### acceptGetProperty

          public final CallSite acceptGetProperty​(java.lang.Object receiver)

      Overrides:
        `acceptGetProperty` in class `AbstractCallSite`

    - #### callGroovyObjectGetProperty

          public final java.lang.Object callGroovyObjectGetProperty​(java.lang.Object receiver)
                                                             throws java.lang.Throwable

      Specified by:
        `callGroovyObjectGetProperty` in interface `CallSite`
      Overrides:
        `callGroovyObjectGetProperty` in class `AbstractCallSite`
      Throws:
        `java.lang.Throwable`

    - #### acceptGroovyObjectGetProperty

          public final CallSite acceptGroovyObjectGetProperty​(java.lang.Object receiver)

      Overrides:
        `acceptGroovyObjectGetProperty` in class `AbstractCallSite`

    - #### getProperty

          public final java.lang.Object getProperty​(java.lang.Object receiver)

      Specified by:
        `getProperty` in interface `CallSite`
      Overrides:
        `getProperty` in class `AbstractCallSite`